<?php
/**
 * Banner Section options
 *
 * @package Theme Palace
 * @subpackage Blog Page Pro
 * @since Blog Page Pro 1.0.0
 */

// Add Banner section
$wp_customize->add_section( 'blog_page_pro_banner_section', array(
	'title'             => esc_html__( 'Banner','blog-page-pro' ),
	'description'       => esc_html__( 'Banner Section options.', 'blog-page-pro' ),
	'panel'             => 'blog_page_pro_front_page_panel',
) );

// Banner content enable control and setting
$wp_customize->add_setting( 'blog_page_pro_theme_options[banner_section_enable]', array(
	'default'			=> 	$options['banner_section_enable'],
	'sanitize_callback' => 'blog_page_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Blog_Page_Pro_Switch_Control( $wp_customize, 'blog_page_pro_theme_options[banner_section_enable]', array(
	'label'             => esc_html__( 'Banner Section Enable', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_banner_section',
	'on_off_label' 		=> blog_page_pro_switch_options(),
) ) );

// Banner content type control and setting
$wp_customize->add_setting( 'blog_page_pro_theme_options[banner_content_type]', array(
	'default'          	=> $options['banner_content_type'],
	'sanitize_callback' => 'blog_page_pro_sanitize_select',
) );

$wp_customize->add_control( 'blog_page_pro_theme_options[banner_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_banner_section',
	'type'				=> 'select',
	'active_callback' 	=> 'blog_page_pro_is_banner_section_enable',
	'choices'			=> array( 
		'page' 		=> esc_html__( 'Page', 'blog-page-pro' ),
		'post' 		=> esc_html__( 'Post', 'blog-page-pro' ),
	),
) );

// banner pages drop down chooser control and setting
$wp_customize->add_setting( 'blog_page_pro_theme_options[banner_content_page]', array(
	'sanitize_callback' => 'blog_page_pro_sanitize_page',
) );

$wp_customize->add_control( new Blog_Page_Pro_Dropdown_Chooser( $wp_customize, 'blog_page_pro_theme_options[banner_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_banner_section',
	'choices'			=> blog_page_pro_page_choices(),
	'active_callback'	=> 'blog_page_pro_is_banner_section_content_page_enable',
) ) );

// banner posts drop down chooser control and setting
$wp_customize->add_setting( 'blog_page_pro_theme_options[banner_content_post]', array(
	'sanitize_callback' => 'blog_page_pro_sanitize_page',
) );

$wp_customize->add_control( new Blog_Page_Pro_Dropdown_Chooser( $wp_customize, 'blog_page_pro_theme_options[banner_content_post]', array(
	'label'             => esc_html__( 'Select Post', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_banner_section',
	'choices'			=> blog_page_pro_post_choices(),
	'active_callback'	=> 'blog_page_pro_is_banner_section_content_post_enable',
) ) );
