<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Blog Page Pro
 * @since Blog Page Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'blog_page_pro_menu', array(
	'title'             => esc_html__('Header Menu','blog-page-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'blog-page-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'blog_page_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'blog_page_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Blog_Page_Pro_Switch_Control( $wp_customize, 'blog_page_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_menu',
	'on_off_label' 		=> blog_page_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'blog_page_pro_theme_options[nav_search_enable]', array(
	'sanitize_callback' => 'blog_page_pro_sanitize_switch_control',
	'default'           => $options['nav_search_enable'],
) );

$wp_customize->add_control( new Blog_Page_Pro_Switch_Control( $wp_customize, 'blog_page_pro_theme_options[nav_search_enable]', array(
	'label'             => esc_html__( 'Enable search', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_menu',
	'on_off_label' 		=> blog_page_pro_switch_options(),
) ) );

// subscription enable setting and control.
$wp_customize->add_setting( 'blog_page_pro_theme_options[subscription_enable]', array(
	'sanitize_callback' => 'blog_page_pro_sanitize_switch_control',
	'default'           => $options['subscription_enable'],
) );

$wp_customize->add_control( new Blog_Page_Pro_Switch_Control( $wp_customize, 'blog_page_pro_theme_options[subscription_enable]', array(
	'label'             => esc_html__( 'Enable Subscription', 'blog-page-pro' ),
	'description'       => esc_html__( 'Note: Form is displayed in Secondary Menu. Install Jetpack and Enable Subscription Module to activate Subsription form.', 'blog-page-pro' ),
	'section'           => 'blog_page_pro_menu',
	'on_off_label' 		=> blog_page_pro_switch_options(),
) ) );